/**
 * Expressão de valor qualquer
 */
export declare type fnBool = () => any;
/**
 * Utilitários e funções genéricas
 */
export declare class UtilsFn {
    /**
     * Retorna se o que foi passado é uma instância de array
     *
     * @param prop o que se deseja verificar
     * @returns se é um array ou não
     */
    static isArray(prop: any): boolean;
    /**
     * Em um processamento assíncrono com promises, permite que a thread aguarde o tempo informado.
     * @param ms tempo que deve aguardar, em ms
     */
    static sleep(ms: number): Promise<any>;
    /**
     * Causa um lock de um processamento de promises assíncronas, liberando quando a expressão enviada for true
     * @param fn expressão que vai ser tratada como avaliação do lock
     * @param sleepMs Quantidade, em ms, que a expressão será reavaliada em um loop infinito, até que se torne verdadeira
     */
    static lock(fn: fnBool, sleepMs?: number): Promise<any>;
}
